Get a private location

GET /api/synthetics/private_locations/{id}

Spaces method and path for this operation:

get /s/{space_id}/api/synthetics/private_locations/{id}

Refer to Spaces for more information.

You must have read privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.

[Required authorization] Route required privileges: uptime-read.

Path parameters

  • id string Required

    A private location identifier or label.

    Minimum length is 1, maximum length is 1024.

Responses

  • 200 application/json

    A successful response.

    Hide response attributes Show response attributes object
    • agentPolicyId string

      The ID of the agent policy associated with the private location.

    • geo object

      Geographic coordinates (WGS84) for the location.

      Hide geo attributes Show geo attributes object
      • lat number Required

        The latitude of the location.

      • lon number Required

        The longitude of the location.

    • id string

      The unique identifier of the private location.

    • isInvalid boolean

      Indicates whether the location is invalid. If true, the location is invalid, which means the agent policy associated with the location is deleted.

    • label string

      A label for the private location.

    • namespace string

      The namespace of the location, which is the same as the namespace of the agent policy associated with the location.

    • spaces array[string]

      The space IDs where the private location is available.

    • tags array[string]

      An array of tags to categorize the private location.

  • 404

    No private location matches the given ID or label.

GET /api/synthetics/private_locations/{id}
curl \
  -X GET "${KIBANA_URL}/api/synthetics/private_locations/location-id" \
  -H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/synthetics/private_locations/location-id
Response examples (200)
{
  "agentPolicyId": "test-private-location-id",
  "geo": {
    "lat": 0,
    "lon": 0
  },
  "id": "test-private-location-id",
  "isInvalid": false,
  "isServiceManaged": false,
  "label": "Test private location",
  "namespace": "default"
}